
QGIS Application - Bug report #230

zoom to all button not picking up changes to the extent of PostGIS layers after sql edit results in 

changes to extent

2006-08-07 03:30 PM - pcreso-pcreso-com -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: SuSE Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10289

Description

Oeen a single [[PostGIS]] layer. Initially the zoom to layer extent within the layer properties menu does the same as zoom to full extent

button on the tool bar. As it should.

Edit the SQL to generate a changed subset of features plotted by the table, this changing the extent. The zoom to layer extent option picks

up the change and correctly zooms to the new extent. However the zoom to all button still just zooms to the old extent.

My change resulted in the layer comprising initially 1, then 2 features. So after the layer conained th eextra feature, the zoom to all just

zooms to the extent of the first feature, but zoom to layer correctly zooms to show both features.

Using Qgis v0.8.0

History

#1 - 2006-08-10 03:00 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in SVN commit:6e48f228 (SVN r5680).

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
